VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config:

## Avaliable Methods
public method | get_interface_name ()
public method | set_addresses ()
public method | set_default_gateway ()
public method | get_autoconf ()
public method | set_autoconf ()
public method | get_addresses ()
public method | set_interface_name ()
public method | get_dhcp ()
public method | set_dhcp ()
public method | new ()
public method | get_default_gateway ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config` class Structure that you can use to configure IPv6 on a particular interface. Because IPv6 permits multiple addresses per interface, addresses can be assigned by DHCP, SLAAC, and can also be statically assigned.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::get_addresses | ( |  | ) |

Gets the value of 'addresses' property.

Return values

  addresses | - The current value of the field. A list of addresses to be statically assigned. List#

Code:
click to view
# Number of lines of code in get_addresses: 4
sub get_addresses {
my ($self, %args) = @_;
return $self->{'addresses'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::get_autoconf | ( |  | ) |

Gets the value of 'autoconf' property.

Return values

  autoconf | - The current value of the field. Address is assigned by Stateless Address Autoconfiguration (SLAAC). boolean#

Code:
click to view
# Number of lines of code in get_autoconf: 4
sub get_autoconf {
my ($self, %args) = @_;
return $self->{'autoconf'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::get_default_gateway | ( |  | ) |

Gets the value of 'default_gateway' property.

Return values

  default_gateway | - The current value of the field. Default gateway for static IP address assignment. This configures the global IPv6 default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces. String#

Code:
click to view
# Number of lines of code in get_default_gateway: 4
sub get_default_gateway {
my ($self, %args) = @_;
return $self->{'default_gateway'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::get_dhcp | ( |  | ) |

Gets the value of 'dhcp' property.

Return values

  dhcp | - The current value of the field. Address assigned by a DHCP server. boolean#

Code:
click to view
# Number of lines of code in get_dhcp: 4
sub get_dhcp {
my ($self, %args) = @_;
return $self->{'dhcp'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::get_interface_name | ( |  | ) |

Gets the value of 'interface_name' property.

Return values

  interface_name | - The current value of the field. Network interface, for example, "nic0" to configure. String#

Code:
click to view
# Number of lines of code in get_interface_name: 4
sub get_interface_name {
my ($self, %args) = @_;
return $self->{'interface_name'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{interface_name} = $args{'interface_name'};
$self->{dhcp} = $args{'dhcp'};
$self->{autoconf} = $args{'autoconf'};
$self->{addresses} = $args{'addresses'};
$self->{default_gateway} = $args{'default_gateway'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.networking.ipv6.I_pv6_config');
$self->set_binding_field('key' => 'interface_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'dhcp', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'autoconf', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'addresses', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Networking', 'type_name' => 'Ipv6::IPv6Address')));
$self->set_binding_field('key' => 'default_gateway', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::set_addresses | ( |  | ) |

Sets the given value for 'addresses' property.

Parameters

  addresses | - New value for the field. A list of addresses to be statically assigned.

Code:
click to view
# Number of lines of code in set_addresses: 5
sub set_addresses {
my ($self, %args) = @_;
$self->{'addresses'} = $args{'addresses'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::set_autoconf | ( |  | ) |

Sets the given value for 'autoconf' property.

Parameters

  autoconf | - New value for the field. Address is assigned by Stateless Address Autoconfiguration (SLAAC).

Code:
click to view
# Number of lines of code in set_autoconf: 5
sub set_autoconf {
my ($self, %args) = @_;
$self->{'autoconf'} = $args{'autoconf'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::set_default_gateway | ( |  | ) |

Sets the given value for 'default_gateway' property.

Parameters

  default_gateway | - New value for the field. Default gateway for static IP address assignment. This configures the global IPv6 default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

Code:
click to view
# Number of lines of code in set_default_gateway: 5
sub set_default_gateway {
my ($self, %args) = @_;
$self->{'default_gateway'} = $args{'default_gateway'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::set_dhcp | ( |  | ) |

Sets the given value for 'dhcp' property.

Parameters

  dhcp | - New value for the field. Address assigned by a DHCP server.

Code:
click to view
# Number of lines of code in set_dhcp: 5
sub set_dhcp {
my ($self, %args) = @_;
$self->{'dhcp'} = $args{'dhcp'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6Config::set_interface_name | ( |  | ) |

Sets the given value for 'interface_name' property.

Parameters

  interface_name | - New value for the field. Network interface, for example, "nic0" to configure.

Code:
click to view
# Number of lines of code in set_interface_name: 5
sub set_interface_name {
my ($self, %args) = @_;
$self->{'interface_name'} = $args{'interface_name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Ipv6.pm